Loading...
Searching...
No Matches
psocksxx::iosockstream Class Reference

Input and Output controller class for socket streams. More...

`#include <iosockstream.h>`

Inheritance diagram for psocksxx::iosockstream:

## Public Member Functions

| iosockstream (sockstreambuf *ssb) throw ()
| constructor
virtual | ~iosockstream () throw ()
| destructor
bool | timedout () const throw ()
| get the timed-out status for this stream
Public Member Functions inherited from psocksxx::isockstream
| isockstream (sockstreambuf *ssb) throw ()
| constructor
virtual | ~isockstream () throw ()
| destructor
Public Member Functions inherited from psocksxx::iosocks
virtual | ~iosocks () throw ()
| destructor
bool | timedout () const throw ()
| get the timed-out status flag value
const timeval * | timeout (time_t sec, suseconds_t usec) throw ()
| set the timeout value for stream communications
void * | clear_timeout () throw ()
| clear the timeout value
Public Member Functions inherited from psocksxx::osockstream
| osockstream (sockstreambuf *ssb) throw ()
| constructor
virtual | ~osockstream () throw ()
| destructor

## Additional Inherited Members

Protected Member Functions inherited from psocksxx::iosocks
| iosocks () throw ()
| empty default constructor

## Detailed Description

Input and Output controller class for socket streams.

This merges the two input and output controller classes to create a single interface for controlling both input and output socket streams.

## Constructor & Destructor Documentation

## iosockstream()

psocksxx::iosockstream::iosockstream | ( | sockstreambuf * | ssb | ) |
throw | ( | ) |  |  |

inline

constructor

Parameters

  ssb | socket stream buffer

This constructor simply initialises the parent classes with the passed in socket stream buffer

## Member Function Documentation

## timedout()

bool psocksxx::iosockstream::timedout | ( |  | ) | const
throw | ( | ) |  |  |

inline

get the timed-out status for this stream

Returns
  boolean `true` if timed-out flag is set or `false` otherwise.

Returns the timed-out status.